Bug 813753 - won't boot on the hybrid graphics notebook
won't boot on the hybrid graphics notebook
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
20
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 07:15 EDT by Valery Pipin
Modified: 2015-06-29 07:38 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:38:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log when no xorg.conf (6.78 KB, application/x-gzip)
2012-05-13 02:30 EDT, Valery Pipin
no flags Details
dmesg (16.39 KB, application/x-gzip)
2012-05-13 02:31 EDT, Valery Pipin
no flags Details
lspci output (662 bytes, application/x-gzip)
2012-05-13 02:32 EDT, Valery Pipin
no flags Details
Xorg.log when for xorg.conf (5.60 KB, application/octet-stream)
2012-05-13 02:52 EDT, Valery Pipin
no flags Details
Xorg.log.intel (33.97 KB, text/x-log)
2012-05-17 06:46 EDT, Valery Pipin
no flags Details
Snippet to bind monitor to intel (618 bytes, text/plain)
2014-03-23 16:00 EDT, Fabian Deutsch
no flags Details
Logfile for X with conf snippet (25.58 KB, text/x-log)
2014-03-23 16:02 EDT, Fabian Deutsch
no flags Details

  None (edit)
Description Valery Pipin 2012-04-18 07:15:39 EDT
Description of problem:
The boot ends with blackscreen
The only possible way to get further is nomodeset option at the boot.
However the result is the low resolution X which is not satisfactory.

Laptop HP ENVY 1210 NR
with AMD Redwood (discrete) and intel (integrated) graphics card.
Blacklist radeon does not help
Comment 1 Jason Smith 2012-05-12 08:35:47 EDT
    Thanks for the bug report. We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue. 

    Please attach your X server config file (/etc/X11/xorg.conf), X server log file (/var/log/Xorg.*.log) and the output of "dmesg" to the bug report as individual uncompressed text/plain file attachments using the bugzilla file attachment link above called "Add an attachment". 

    Could you please also try to run without any /etc/X11/xorg.conf whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please. 

    We will review this issue again once you've had a chance to attach this information. 

    Thank you in advance. 



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Valery Pipin 2012-05-13 02:30:28 EDT
Created attachment 584099 [details]
Xorg.log when no xorg.conf

This is Xorg.log for default start without /etc/X11/xorg.conf
Comment 3 Valery Pipin 2012-05-13 02:31:35 EDT
Created attachment 584103 [details]
dmesg
Comment 4 Valery Pipin 2012-05-13 02:32:28 EDT
Created attachment 584104 [details]
lspci output
Comment 5 Jason Smith 2012-05-13 02:37:29 EDT
Thank you for providing the requested log files to assist in researching this bug.  I have marked this bug as Triaged for further review,
Comment 6 Valery Pipin 2012-05-13 02:52:38 EDT
Created attachment 584105 [details]
Xorg.log when for xorg.conf

Section "Device"
    Identifier "device1"
    VendorName "ATI Technologies Inc"
    BoardName "ATI Radeon HD 2000 and later (radeon/fglrx)"
    Driver "ati"
    BusID "PCI:1:0:0"
EndSection
Comment 7 Valery Pipin 2012-05-17 06:46:39 EDT
Created attachment 585170 [details]
Xorg.log.intel

I have tried to activate intel card with help of switcheroo
 Xorg.log has no (EE) code, the discrete card (radeon) was switched off. Still having the black screen after at the finish. 
I have used xorg.conf:

Section "Device"
	Identifier "Videocard0"
	Driver "intel"
EndSection

And /etc/rc.local (started with system.d)
 
chown vv:vv /sys/kernel/debug/vgaswitcheroo/switch 
echo OFF > /sys/kernel/debug/vgaswitcheroo/switch

and in fstab, of course, I mounted /sys/kernel/debug as debugfs
Comment 8 Valery Pipin 2012-09-25 23:14:06 EDT
The bug persists for the fedora 18 test day live image. Moreover, I could not start X even using the troubleshooting mode, which has the options xdriver=vesa nomodeset
Comment 9 Fedora End Of Life 2013-07-04 01:21:52 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Dave Airlie 2013-09-20 07:00:43 EDT
still happens with latest f19, can you boot without nomodeset to runlevel 3 and get the dmesg?

dmesg with nomodeset doesn't tell us anything.
Comment 11 Valery Pipin 2013-09-23 01:02:35 EDT
Dear Dave,

Could you please remove this bug. The given laptop had a number problems in running linux, so I shaked it off. Sorry!
V
Comment 12 Fabian Deutsch 2014-03-23 15:57:12 EDT
Hey,

I have also got a HP Envy 12 something. And am running into this or a similar problem - after boot the screen stays blank.

Let me attach the conf snippet which solved it. Also the logs.
Comment 13 Fabian Deutsch 2014-03-23 16:00:47 EDT
Created attachment 877903 [details]
Snippet to bind monitor to intel
Comment 14 Fabian Deutsch 2014-03-23 16:02:11 EDT
Created attachment 877904 [details]
Logfile for X with conf snippet
Comment 15 Fedora End Of Life 2015-05-29 04:43:55 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-06-29 07:38:33 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.